## gate.gui
Class MainFrame.StatusBarUpdater

    java.lang.Object
      |
      +--gate.gui.MainFrame.StatusBarUpdater

All Implemented Interfaces:
  Runnable

Enclosing class:
  MainFrame

class MainFrame.StatusBarUpdater
extends Object
implements Runnable

Field Summary
`(package private) String` `text`

Constructor Summary
`(package private)` `MainFrame.StatusBarUpdater(String text)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### text

    String text

Constructor Detail

### MainFrame.StatusBarUpdater

    MainFrame.StatusBarUpdater(String text)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`